Bug 1284234 - vdsm fail to install on RHEL 7.2 due to sanlock dependency
vdsm fail to install on RHEL 7.2 due to sanlock dependency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: releng (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Joey Boggs
Entitlement Bugs
releng
:
Depends On:
Blocks: 1289443
  Show dependency treegraph
 
Reported: 2015-11-22 04:28 EST by Roman Hodain
Modified: 2016-02-10 15:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1289443 (view as bug list)
Environment:
Last Closed: 2016-01-15 15:27:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Rel-Eng
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Hodain 2015-11-22 04:28:21 EST
Description of problem:
It is not possible to install vdsm 0:4.17.10.1-0.el7ev as it is missing libvirt-lock-sanlock

Version-Release number of selected component (if applicable):
RHEV 3.0.0 (beta1)

How reproducible:
Always

Actual results:
package is missing

Expected results:
Package is available in one of the required channels

Additional info:

# yum install vdsm
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package vdsm.noarch 0:4.17.10.1-0.el7ev will be installed
--> Processing Dependency: safelease >= 1.0-5 for package: vdsm-4.17.10.1-0.el7ev.noarch
--> Processing Dependency: ovirt-vmconsole >= 1.0.0-0 for package: vdsm-4.17.10.1-0.el7ev.noarch
--> Processing Dependency: libvirt-lock-sanlock for package: vdsm-4.17.10.1-0.el7ev.noarch
--> Running transaction check
---> Package ovirt-vmconsole.noarch 0:1.0.0-1.el7ev will be installed
---> Package safelease.x86_64 0:1.0-5.el7ev will be installed
---> Package vdsm.noarch 0:4.17.10.1-0.el7ev will be installed
--> Processing Dependency: libvirt-lock-sanlock for package: vdsm-4.17.10.1-0.el7ev.noarch
--> Finished Dependency Resolution
Error: Package: vdsm-4.17.10.1-0.el7ev.noarch (rhel-7-server-rhev-mgmt-agent-beta-rpms)
           Requires: libvirt-lock-sanlock
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: vdsm-4.17.10.1-0.el7ev.noarch (rhel-7-server-rhev-mgmt-agent-beta-rpms)
           Requires: libvirt-lock-sanlock
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

# yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
repo id                                          repo name                                                                      status
rhel-7-server-aus-rpms/7Server/x86_64            Red Hat Enterprise Linux 7 Server - AUS (RPMs)                                 9,889
rhel-7-server-rhev-mgmt-agent-beta-rpms/x86_64   Red Hat Enterprise Virtualization Management Agents Beta for RHEL 7 (RPMs)     156
rhel-7-server-rpms/7Server/x86_64                Red Hat Enterprise Linux 7 Server (RPMs)                                       9,889
repolist: 19,934
Comment 2 Red Hat Bugzilla Rules Engine 2015-11-23 09:54:18 EST
Fixed bug tickets must have target milestone set prior to fixing them. Please set the correct milestone and move the bugs back to the previous status after this is corrected.

Note You need to log in before you can comment on or make changes to this bug.